
package gov.niem.niem.fbi._2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VCOCodeSimpleType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="VCOCodeSimpleType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *     &lt;enumeration value="BRZ"/>
 *     &lt;enumeration value="MUL/COL"/>
 *     &lt;enumeration value="SIL"/>
 *     &lt;enumeration value="AME"/>
 *     &lt;enumeration value="LAV"/>
 *     &lt;enumeration value="BGE"/>
 *     &lt;enumeration value="DGR"/>
 *     &lt;enumeration value="TPE"/>
 *     &lt;enumeration value="COM"/>
 *     &lt;enumeration value="GRY"/>
 *     &lt;enumeration value="LGR"/>
 *     &lt;enumeration value="PLE"/>
 *     &lt;enumeration value="GLD"/>
 *     &lt;enumeration value="MAR"/>
 *     &lt;enumeration value="WHI"/>
 *     &lt;enumeration value="TEA"/>
 *     &lt;enumeration value="BLU"/>
 *     &lt;enumeration value="CRM"/>
 *     &lt;enumeration value="YEL"/>
 *     &lt;enumeration value="TAN"/>
 *     &lt;enumeration value="ONG"/>
 *     &lt;enumeration value="PNK"/>
 *     &lt;enumeration value="BRO"/>
 *     &lt;enumeration value="CPR"/>
 *     &lt;enumeration value="BLK"/>
 *     &lt;enumeration value="MVE"/>
 *     &lt;enumeration value="RED"/>
 *     &lt;enumeration value="CAM"/>
 *     &lt;enumeration value="LBL"/>
 *     &lt;enumeration value="TRQ"/>
 *     &lt;enumeration value="DBL"/>
 *     &lt;enumeration value="GRN"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "VCOCodeSimpleType")
@XmlEnum
public enum VCOCodeSimpleType {

    BRZ("BRZ"),
    @XmlEnumValue("MUL/COL")
    MUL_COL("MUL/COL"),
    SIL("SIL"),
    AME("AME"),
    LAV("LAV"),
    BGE("BGE"),
    DGR("DGR"),
    TPE("TPE"),
    COM("COM"),
    GRY("GRY"),
    LGR("LGR"),
    PLE("PLE"),
    GLD("GLD"),
    MAR("MAR"),
    WHI("WHI"),
    TEA("TEA"),
    BLU("BLU"),
    CRM("CRM"),
    YEL("YEL"),
    TAN("TAN"),
    ONG("ONG"),
    PNK("PNK"),
    BRO("BRO"),
    CPR("CPR"),
    BLK("BLK"),
    MVE("MVE"),
    RED("RED"),
    CAM("CAM"),
    LBL("LBL"),
    TRQ("TRQ"),
    DBL("DBL"),
    GRN("GRN");
    private final String value;

    VCOCodeSimpleType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static VCOCodeSimpleType fromValue(String v) {
        for (VCOCodeSimpleType c: VCOCodeSimpleType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
